'use strict';

define([
	'app',
	'libraries/utils',
	'libraries/language',
	'libraries/permissions'
	], function(app, UTILS, LANGUAGE, PERMISSIONS) {
	app.controller("backupManager",
		["$rootScope", "$scope", "$routeParams", "$location", "$uibModal", "jetapi",
			function ($rootScope, $scope, $routeParams, $location, $uibModal, jetapi) {
				$rootScope.$emit('menuItem', 'BackupManager');

				$scope.sections = [];
				var sections = [
					{ _id: 'directories', name: LANGUAGE.translate('Directories'), template: 'backupManagerDirectories.ptt', icon: 'fa-folder' },
					{ _id: 'databases', name: LANGUAGE.translate('Databases'), template: 'backupManagerDatabases.ptt', icon: 'fa-database' }
				];

				for(var i = 0; i < sections.length; i++) {
					$scope.sections.push(sections[i]);
				}

				$scope.getSection = function (section_id) {
					for(var i = 0; i < $scope.sections.length; i++) {
						if($scope.sections[i]._id === section_id) {
							return $scope.sections[i];
						}
					}

					return $scope.sections[0];
				};

				$scope.changeSection = function(section) {
					$location.path('/backupManager/' + section._id);
				};

				$scope.loadSection = function (section) {
					$scope.currentSection = section;
					$scope.backupSection = './app/views/' + section.template;
				};

				$scope.lockTimeSelection = function (callback, skip) {

					if(skip && callback !== undefined && typeof callback == 'function') {
						callback(0);
						return;
					}

					var modalInstance = $uibModal.open({
						animation: true,
						size: "md",
						ariaLabelledBy: 'modal-title',
						ariaDescribedBy: 'modal-body',
						templateUrl: './app/views/snapshotLockSelection.ptt',
						controller: 'snapshotLockSelection',
						controllerAs: '$scope',
						resolve: {
							filters: function() { return $scope.filters; } ,
							details: function() { return $scope.details; }
						}
					});

					modalInstance.result.then(function(ttl) {
						if(callback !== undefined && typeof callback == 'function') callback(ttl);
					}, function() {});
				};

				$scope.loadSection($scope.getSection($routeParams.section ? $routeParams.section : 'directories'));
			}]);
});