'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {

	app.controller('databaseFilterGroupSelection',
		["$uibModalInstance", "$uibModal", "$scope", "filters", "details", "SweetAlert",
			function($uibModalInstance, $uibModal, $scope, filters, details, SweetAlert) {

		$scope.LANG = LANGUAGE;
		$scope.LANG.t = $scope.LANG.translate;
		$scope.LANG.d = $scope.LANG.date;

		$scope.filters = [];
		$scope.allFilters = filters;

		$scope.newFilter = function () {

			var modalInstance = $uibModal.open({
				animation: true,
				size: "lg",
				ariaLabelledBy: 'modal-title',
				ariaDescribedBy: 'modal-body',
				//templateUrl: './app/views/databaseFilterGroupManagePopup.ptt',
				//controller: 'databaseFilterGroupManagePopup'
				templateUrl: './app/views/databaseFilterManagePopup.ptt',
				controller: 'databaseFilterManagePopup'
			});

			modalInstance.result.then(function(filterDetails) {

				if(!filterDetails._id)
				{
					SweetAlert.error(LANGUAGE.translate("Failed!"), LANGUAGE.translate("Failed to create filter"));
					return;
				}

				$scope.allFilters[filterDetails._id] = filterDetails;
				$scope.selectedFilter = filterDetails._id;
				$scope.ok();
				/*
				//$scope.allFilters[filterDetails._id] = filterDetails;
				$scope.allFilters[filterDetails._id] = filterDetails;
				$scope.setFilters();
				*/

			}, function () {});

		};

		$scope.setFilters = function () {
			for(var i in $scope.allFilters) {
				$scope.filters.push($scope.allFilters[i]);
			}
		};

		$scope.setFilters();

		$scope.selectedFilter = $scope.filters.length ? $scope.filters[0]._id : '';

		$scope.ok = function () {
			$uibModalInstance.close( $scope.selectedFilter );
		};

		$scope.cancel = function () {
			$uibModalInstance.dismiss(LANGUAGE.translate('cancel'));
		};
	}]);

});