'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("destinationDropbox", ["$scope", "SweetAlert", function ($scope, SweetAlert) {

		$scope.openAuthentication = function(appKey, secretKey) {

			if(!appKey)
			{
				SweetAlert.swal(LANGUAGE.translate("Configuration Issue"), LANGUAGE.translate('Please add the App Key first'), "error");
				return false;
			}

			if(!secretKey)
			{
				SweetAlert.swal(LANGUAGE.translate("Configuration Issue"), LANGUAGE.translate('Please add the Secret Key first'), "error");
				return false;
			}

			var left = screen.width / 2 - 225;
			var top = screen.height / 2 - 250;

			window.open("https://dropbox.com/oauth2/authorize?response_type=code&client_id=" + appKey, '', 'height=500,width=650,left=' + left + ',top=' + top + ',toolbar=no,titlebar=no,status=no,scrollbars=no,resizable=yes,menubar=no');

			return false;
		};
	}]);
});