'use strict';

define([
	'app',
	'libraries/language',
	'libraries/consts',
	'libraries/permissions',
], function (app, LANGUAGE, CONSTS, PERMISSIONS) {
	app.controller("JWizard",
		["$rootScope", "$scope", "$location", "$timeout", "$uibModalInstance", "jetapi", "meta", "SweetAlert", "wizardStorage", "JWService",
			function ($rootScope, $scope, $location, $timeout, $uibModalInstance, jetapi, meta, SweetAlert, wizardStorage, JWService) {


				$scope.LANG = LANGUAGE;
				$scope.LANG.t = $scope.LANG.translate;
				$scope.LANG.d = $scope.LANG.date;


				$scope.PERM = PERMISSIONS;
				$scope.CONST = CONSTS;


				$scope.init = function () {
					$scope.jobWizard = true;
					$scope.wizardOptions = {
						type: 'backup',
					};
					$scope.service = JWService;
					$scope.wizardName = JWService._wizardName;
					$scope.wizardData = {};
					$scope.preview = {};
					$scope.first = JWService._firstStep;
					$scope.currentStep 	= JWService.currentStep;
					$scope.wizardData = JWService.getData();
				}();

				JWService.setWatch(function() {
					$scope.wizardData = JWService.getData();
				});

				// Executing the current step process function.
				$scope.process = function (data) {
					JWService.process(data);
				};

				$scope.next = function () {
					JWService.next();
				};

				$scope.prev = function () {
					JWService.prev();
				};

				$scope.finish = function () {
					// JWService.finish();
					JWService.next();
				}

			}
		]
	);
});