'use strict';

define([
	'app',
	'libraries/language',
], function (app, LANGUAGE) {
	app.controller("localFields",
		["$rootScope", "$scope", "$location", "$timeout", "$uibModalInstance", "jetapi", "destinationParams",
			function ($rootScope, $scope, $location, $timeout, $uibModalInstance, jetapi, destinationParams) {
				$scope.LANG = LANGUAGE;

				$scope.destinationParams = destinationParams;

				$scope.error = false;
				$scope.message = '';

				var createLocalDestination = function () {
					$scope.destinationParams['type'] = 'Local';
					$scope.destinationParams['name'] = $scope.destinationParams['destinationname'];


					jetapi.manageDestination($scope.destinationParams, function(response) {
							$scope.error = !response.success;
							$scope.message = response.message;
							if(response.success) $uibModalInstance.close(response.data);
						}
					);
				};


				$scope.submit = function () {
					$scope.error = false;
					createLocalDestination();
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss({});
				};


			}
		]
	);
});