'use strict';

define([
	'app',
	'libraries/language',
	'libraries/consts',
], function (app, LANGUAGE, CONSTS) {
	app.controller("wizardBackupJobManage",
		["$rootScope", "$scope", "$location", "$timeout", "$uibModal", "jetapi",
			function ($rootScope, $scope, $location, $timeout, $uibModal, jetapi) {


				$scope.types = [
					{ label: LANGUAGE.translate("Databases"),
						value: CONSTS.BACKUP_TYPE_DATABASES,
						description: LANGUAGE.translate("Databases - Pick databases to back up")
					},
					{ label: LANGUAGE.translate("Directories"),
						value: CONSTS.BACKUP_TYPE_DIRECTORIES,
						description: LANGUAGE.translate("Directories - Pick directories to back up")
					},
					{ label: LANGUAGE.translate("Replicate"),
						value: CONSTS.BACKUP_TYPE_REPLICATE,
						description: LANGUAGE.translate("Replicate - Copy files/folders to the destination with the exec same structure")
					}
				];

				$scope.flags = [
					{ label: LANGUAGE.translate("Incremental"), value: 1, description: ""},
					{ label: LANGUAGE.translate("Archived"), 	value: 2, description: ""},
					{ label: LANGUAGE.translate("Compressed"), 	value: 4, description: ""}
				];

				$scope.data = {
					backuptype: CONSTS.BACKUP_TYPE_DATABASES,
					selectedType: $scope.types[0],
					flag: $scope.flags[0].value,
					selectedFlag: $scope.flags[0]
				};


				$scope.toggleBackupType = function (type) {
					$scope.data.selectedType = type;
				};

				$scope.selectFlag = function (flag) {
					$scope.data.selectedFlag = flag;

				};

				$scope.flagDisabled = function(flag) {
					console.log(flag);
					if ($scope.data.selectedType === CONSTS.BACKUP_TYPE_REPLICATE)
						if(flag === 2 || flag === 4) return true;


					if(flag > 1 && $scope.data.backuptypes === 512) {
						$scope.data.flag = 1;
						return true;
					}

					// if($scope.destinationsIds[$scope.data.destination] !== undefined) {
					// 	var destType = $scope.destinationsIds[$scope.saveData.destination].type;
					//
					// 	if(flag === 1 && (destType === 'Dropbox' || destType === 'GoogleDrive' || destType === 'Backblaze')) {
					// 		if($scope.data.flag === 1) $scope.data.flag = 2;
					// 		return true;
					// 	}
					// }
					return false;
				};



			}
		]
	);
});