'use strict';

define([
	'app',
	'libraries/language',
	'libraries/permissions'
], function (app, LANGUAGE, PERMISSIONS) {
	app.controller("wizardDestinationPicker",
		["$rootScope", "$scope", "$location", "$timeout", "SweetAlert", "jetapi",
			function ($rootScope, $scope, $location, $timeout, SweetAlert, jetapi) {

				if(!$scope.wizardOptions) return;

				$scope.destinations = [
					{_id:'',name: 'CREATE NEW (click next to create new)'}
				];

				if (!PERMISSIONS.canManageDestinations) $scope.destinations = [];


				$scope.initDestinations = function (){
					jetapi.listDestinations({}, function(response) {
						for(var i = 0; i < response.data.destinations.length; i++) {
							if($scope.wizardOptions.type === 'backup') $scope.destinations.push(response.data.destinations[i]);
						}
						$scope.preview.selectedDestination = $scope.destinations.length ? $scope.destinations[0]._id : '';
						if ($scope.jobWizard && $scope.wizardData.destinationId )
							$scope.preview.selectedDestination = getDestinationById($scope.wizardData.destinationId);
					});
				}();


				$scope.$on($scope.wizardName, function (env,data) {
					var res = {success: true, destination_id: $scope.preview.selectedDestination};
					$scope.process(res);
				});

				var getDestinationById = function (id) {
					for (var i=0; $scope.destinations.length; i++)
						if($scope.destinations[i]._id === id)
							return $scope.destinations[i]._id;

					return $scope.destinations[0]._id;
				}
			}
		]);
});